IInstrDecode Class Referenceabstract
OpenCSD Library : Interfaces

Interface class to an instruction opcode decoder. More...

`#include <trc_instr_decode_i.h>`

## Public Member Functions

| IInstrDecode ()
virtual | ~IInstrDecode ()
virtual ocsd_err_t | DecodeInstruction (ocsd_instr_info *instr_info)=0

## Detailed Description

Interface class to an instruction opcode decoder.

The opcode decoder needs to be capable of limited decode required for trace execution flow determination.

Definition at line 47 of file trc_instr_decode_i.h.

## Constructor & Destructor Documentation

## IInstrDecode()

IInstrDecode::IInstrDecode | ( |  | ) |

inline

Definition at line 50 of file trc_instr_decode_i.h.

## ~IInstrDecode()

virtual IInstrDecode::~IInstrDecode | ( |  | ) |

inline virtual

Default constructor.

Definition at line 51 of file trc_instr_decode_i.h.

## Member Function Documentation

## DecodeInstruction()

virtual ocsd_err_t IInstrDecode::DecodeInstruction | ( | ocsd_instr_info * | instr_info | ) |

pure virtual

Default destructor.

Instruction opcode decode for the packet trace decoder to follow the instruction execution flow.

Parameters

  *instr_info | : Structure to pass current opcode, and receive required decode information.

Returns
  ocsd_err_t : OCSD_OK if successful.

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- /build/libopencsd-nipXOR/libopencsd-1.2.0/decoder/include/interfaces/trc_instr_decode_i.h